### Constructor

# Gtk Windownew

#### Declaration [src]

    GtkWidget*
    gtk_window_new (
      void
    )

#### Description [src]

Creates a new `GtkWindow`.

To get an undecorated window (no window borders), use `gtk_window_set_decorated()`.

All top-level windows created by `gtk_window_new()` are stored in an internal top-level window list. This list can be obtained from `gtk_window_list_toplevels()`. Due to GTK keeping a reference to the window internally, `gtk_window_new()` does not return a reference to the caller.

To delete a `GtkWindow`, call `gtk_window_destroy()`.

#### Return value

Type: `GtkWidget`

A new `GtkWindow`.

The data is owned by the called function.